jQuery(document).ready(function($) {
    // Anahtar kelimeyi vurgulama fonksiyonu
    $('#analyze-button').click(function() {
        var keyword = $('#keyword').val().trim();
        var content = $('#content').val();
        var count = 0;
        var highlightedContent = content;

        if (keyword) {
            var regex = new RegExp('('+keyword+')', 'gi');
            count = (content.match(regex) || []).length;
            highlightedContent = content.replace(regex, '<span class="highlight">$1</span>');
        }

        $('#count').text(count);
        $('#highlightedContent').html(highlightedContent);
    });
});
